from siege import game


class Blind(object):
    NAME = "Blind"
    ICON = "mods/core/effect/blind.png"

    def __init__(self, owner, level, duration):
        owner.stats.accuracy.adjust(-20)

    def onRemove(self, owner):
        owner.stats.accuracy.adjust(20)

    def isPositive(self):
        return False

    @staticmethod
    def register():
        game.effects.register(Blind.NAME, Blind)
